Deploy SandboxLink extension to cluster and enable on wikis where it currently is a gadget
Closed, ResolvedPublic

Description

Now that the SandboxLink extension is written (T71650), we should deploy it to satisfy the exam question (T71550). The initial deployment will be to all wikis where it is currently a default on gadget, at which time we will also disable the gadget. Other wikis can opt-in to the extension by filing a site request.

To do:

  • Create and deploy configuration change (@Legoktm)
  • Write and run a bot script to disable local gadgets on affected wikis (@matmarex)

Help page: https://www.mediawiki.org/wiki/Help:Extension:SandboxLink
Extension page: https://www.mediawiki.org/wiki/Extension:SandboxLink

Details

Reference
bz70499

Related Objects

There are a very large number of changes, so older changes are hidden. Show Older Changes
bzimport raised the priority of this task from to Normal.Nov 22 2014, 3:54 AM
bzimport set Reference to bz70499.
bzimport added a subscriber: Unknown Object (MLST).

It definitely needs translations before we start deploying (the messages are used as page names, which makes changing them problematic).

At a glance (quick mwgrep), there are 66 wikis that have a gadget for this. I haven't checked how many have it enabled by default, but I'd risk a guess that most of them do. I'm going to try importing translations from them.

Hello, my name is Greg!

List from [[mw:Review queue]]:

  1. Create Extension: mediawiki.org page for developers and people who will install or configure the extension.
  2. Create Help:Extension: mediawiki.org page for the end user documentation. Cross-link it with the above.
  3. Request a component in Bugzilla.
  4. Get the extension code in Gerrit.
  5. Request (and respond to) a product review, if applicable
  6. Request (and respond to) a design review, if applicable.
  7. Request (and respond to) a performance review.
  8. Request (and respond to) a security review.
  9. Show community support/desire for the extension to be deployed, if applicable.

(In reply to Kunal Mehta (Legoktm) from comment #2)

List from [[mw:Review queue]]:

  1. Create Extension: mediawiki.org page for developers and people who will install or configure the extension.

[[mw:Extension:SandboxLink]]

  1. Create Help:Extension: mediawiki.org page for the end user documentation. Cross-link it with the above.

Not needed.

  1. Request a component in Bugzilla.

Created by Tyler.

  1. Get the extension code in Gerrit.

Done.

  1. Request (and respond to) a product review, if applicable

Not applicable.

  1. Request (and respond to) a design review, if applicable.

Not applicable.

  1. Request (and respond to) a performance review.

Bug 70501, cc'd Ori.

  1. Request (and respond to) a security review.

Bug 70502, assigned to Chris.

  1. Show community support/desire for the extension to be deployed, if applicable.

Already a default gadget on many projects.

(In reply to Bartosz Dziewoński from comment #1)

At a glance (quick mwgrep), there are 66 wikis that have a gadget for this.
(…) I'm going to try importing translations from them.

Actually, nevermind, I won't. I examined the texts and they are often subtly different (e.g. "My sandbox" for the text, "Go to your sandbox" for the tooltip). The remaining few ones are not worth the effort.

matmarex added a comment.EditedSep 7 2014, 12:58 AM

Here is a list of wikis where such a gadget definitely exists (based on mwgrep for 'pt-sandbox' and 'pt-mysandbox'), there might be some more. The ones where it is enabled by default are marked as such. A few wikis have the gadget page, but without the necessary gadget definition – they are not listed here.

Someone should probably comment on the talk pages that we intend to supersede the gadgets, and probably disable each gadget when the extension is deployed. I am *not* cookie-licking this task ;)

62 wikis total, 50 enabled by default.

1​arwiki (DEFAULT)
2​https://ar.wikipedia.org/wiki/MediaWiki:Gadget-mySandbox.js
3
4​bnwiki (DEFAULT)
5​https://bn.wikipedia.org/wiki/MediaWiki:Gadget-mySandbox.js
6
7​bnwiktionary (DEFAULT)
8​https://bn.wiktionary.org/wiki/MediaWiki:Gadget-mySandbox.js
9
10​brwikimedia (DEFAULT)
11​https://br.wikimedia.org/wiki/MediaWiki:Gadget-mySandbox.js
12
13​bswiki
14​https://bs.wikipedia.org/wiki/MediaWiki:Gadget-mojeIgralište.js
15
16​cawiki (DEFAULT)
17​https://ca.wikipedia.org/wiki/MediaWiki:Gadget-mySandbox.js
18
19​ckbwiki (DEFAULT)
20​https://ckb.wikipedia.org/wiki/MediaWiki:Gadget-mySandbox.js
21
22​dawiki
23​https://da.wikipedia.org/wiki/MediaWiki:Gadget-mySandbox.js
24
25​dsbwiki
26​https://dsb.wikipedia.org/wiki/MediaWiki:Gadget-mySandbox.js
27
28​elwiki (DEFAULT)
29​https://el.wikipedia.org/wiki/MediaWiki:Gadget-mySandbox.js
30
31​elwikivoyage (DEFAULT)
32​https://el.wikivoyage.org/wiki/MediaWiki:Gadget-mySandbox.js
33
34​enwiki (DEFAULT)
35​https://en.wikipedia.org/wiki/MediaWiki:Gadget-mySandbox.js
36
37​enwikibooks (DEFAULT)
38​https://en.wikibooks.org/wiki/MediaWiki:Gadget-mySandbox.js
39
40​enwikiversity (DEFAULT)
41​https://en.wikiversity.org/wiki/MediaWiki:Gadget-mySandbox.js
42
43​eowiki (DEFAULT)
44​https://eo.wikipedia.org/wiki/MediaWiki:Gadget-PropraProvejo.js
45
46​eowikibooks
47​https://eo.wikibooks.org/wiki/MediaWiki:Gadget-PropraProvejo.js
48
49​eowikiquote
50​https://eo.wikiquote.org/wiki/MediaWiki:Gadget-PropraProvejo.js
51
52​eswiki (DEFAULT)
53​https://es.wikipedia.org/wiki/MediaWiki:Gadget-mySandbox.js
54
55​fawiki (DEFAULT)
56​https://fa.wikipedia.org/wiki/MediaWiki:Gadget-mySandbox.js
57
58​fawiktionary
59​https://fa.wiktionary.org/wiki/MediaWiki:Gadget-mySandbox.js
60
61​hewiki (DEFAULT)
62​https://he.wikipedia.org/wiki/MediaWiki:Gadget-mySandbox.js
63
64​hewikibooks (DEFAULT)
65​https://he.wikibooks.org/wiki/MediaWiki:Gadget-mySandbox.js
66
67​hewikivoyage (DEFAULT)
68​https://he.wikivoyage.org/wiki/MediaWiki:Gadget-mySandbox.js
69
70​hifwiki (DEFAULT)
71​https://hif.wikipedia.org/wiki/MediaWiki:Gadget-mySandbox.js
72
73​hiwiki (DEFAULT)
74​https://hi.wikipedia.org/wiki/MediaWiki:Gadget-mySandbox.js
75
76​hsbwiki
77​https://hsb.wikipedia.org/wiki/MediaWiki:Gadget-mySandbox.js
78
79​huwiki (DEFAULT)
80​https://hu.wikipedia.org/wiki/MediaWiki:Gadget-mySandbox.js
81
82​hywiki (DEFAULT)
83​https://hy.wikipedia.org/wiki/MediaWiki:Gadget-mySandbox.js
84
85​ilowiki (DEFAULT)
86​https://ilo.wikipedia.org/wiki/MediaWiki:Gadget-mySandbox.js
87
88​iswiki (DEFAULT)
89​https://is.wikipedia.org/wiki/MediaWiki:Gadget-mySandbox.js
90
91​jawiki (DEFAULT)
92​https://ja.wikipedia.org/wiki/MediaWiki:Gadget-mySandbox.js
93
94​kkwiki (DEFAULT)
95​https://kk.wikipedia.org/wiki/MediaWiki:Gadget-mySandbox.js
96
97​knwiki (DEFAULT)
98​https://kn.wikipedia.org/wiki/MediaWiki:Gadget-mySandbox.js
99
100​kowiki (DEFAULT)
101​https://ko.wikipedia.org/wiki/MediaWiki:Gadget-mySandbox.js
102
103​lvwiki (DEFAULT)
104​https://lv.wikipedia.org/wiki/MediaWiki:Gadget-mySandbox.js
105
106​minwiki (DEFAULT)
107​https://min.wikipedia.org/wiki/MediaWiki:Gadget-mySandbox.js
108
109​mlwiki
110​https://ml.wikipedia.org/wiki/MediaWiki:Gadget-mySandbox.js
111
112​mswiki
113​https://ms.wikipedia.org/wiki/MediaWiki:Gadget-mySandbox.js
114
115​newiki (DEFAULT)
116​https://ne.wikipedia.org/wiki/MediaWiki:Gadget-mySandbox.js
117
118​nlwiki (DEFAULT)
119​https://nl.wikipedia.org/wiki/MediaWiki:Gadget-mijnKladblok.js
120
121​pawiki
122​https://pa.wikipedia.org/wiki/MediaWiki:Gadget-mySandbox.js
123
124​plwiki (DEFAULT)
125​https://pl.wikipedia.org/wiki/MediaWiki:Gadget-my-sandbox.js
126
127​plwikisource (DEFAULT)
128​https://pl.wikisource.org/wiki/MediaWiki:Gadget-my-sandbox.js
129
130​plwikivoyage (DEFAULT)
131​https://pl.wikivoyage.org/wiki/MediaWiki:Gadget-my-sandbox.js
132
133​plwiktionary (DEFAULT)
134​https://pl.wiktionary.org/wiki/MediaWiki:Gadget-my-sandbox.js
135
136​pswiki (DEFAULT)
137​https://ps.wikipedia.org/wiki/MediaWiki:Gadget-mySandbox.js
138
139​ptwiki (DEFAULT)
140​https://pt.wikipedia.org/wiki/MediaWiki:Gadget-mySandbox.js
141
142​sawiki (DEFAULT)
143​https://sa.wikipedia.org/wiki/MediaWiki:Gadget-mySandbox.js
144
145​skwiki (DEFAULT)
146​https://sk.wikipedia.org/wiki/MediaWiki:Gadget-mySandbox.js
147
148​sowiki (DEFAULT)
149​https://so.wikipedia.org/wiki/MediaWiki:Gadget-mySandbox.js
150
151​svwiki (DEFAULT)
152​https://sv.wikipedia.org/wiki/MediaWiki:Gadget-mySandbox.js
153
154​tawiki (DEFAULT)
155​https://ta.wikipedia.org/wiki/MediaWiki:Gadget-mySandbox.js
156
157​tawiktionary (DEFAULT)
158​https://ta.wiktionary.org/wiki/MediaWiki:Gadget-mySandbox.js
159
160​test2wiki
161​https://test2.wikipedia.org/wiki/MediaWiki:Gadget-mySandbox.js
162
163​thwiki (DEFAULT)
164​https://th.wikipedia.org/wiki/MediaWiki:Gadget-mySandbox.js
165
166​thwikibooks (DEFAULT)
167​https://th.wikibooks.org/wiki/MediaWiki:Gadget-mySandbox.js
168
169​thwikiquote (DEFAULT)
170​https://th.wikiquote.org/wiki/MediaWiki:Gadget-mySandbox.js
171
172​thwikisource (DEFAULT)
173​https://th.wikisource.org/wiki/MediaWiki:Gadget-mySandbox.js
174
175​thwiktionary (DEFAULT)
176​https://th.wiktionary.org/wiki/MediaWiki:Gadget-mySandbox.js
177
178​tlwiki (DEFAULT)
179​https://tl.wikipedia.org/wiki/MediaWiki:Gadget-mySandbox.js
180
181​urwiki (DEFAULT)
182​https://ur.wikipedia.org/wiki/MediaWiki:Gadget-mySandbox.js
183
184​wikidatawiki
185​https://www.wikidata.org/wiki/MediaWiki:Gadget-mySandbox.js

Change 196084 had a related patch set uploaded (by Legoktm):
make-wmf-branch: Branch SandboxLink

https://gerrit.wikimedia.org/r/196084

Legoktm renamed this task from Deploy SandboxLink extension to cluster and enable on enwiki, others? to Deploy SandboxLink extension to cluster and enable on enwiki.Mar 11 2015, 11:19 PM
Legoktm updated the task description. (Show Details)
Legoktm set Security to None.
Legoktm renamed this task from Deploy SandboxLink extension to cluster and enable on enwiki to Deploy SandboxLink extension to cluster and enable on wikis where it currently is a gadget.
greg added a comment.Mar 11 2015, 11:23 PM

Does any communication need to happen to those wikis where it will be enabled initially?

greg added a comment.Mar 11 2015, 11:33 PM

Since we'll also need to go around to those wikis to disable the gadget when this is deployed this should be it's own window (not riding the train and not in SWAT).

@matmarex do you have a handy dandy script to help with the disabling part? Let's plan on the week of March 23rd probably to make sure we get all the pieces lined up, sound good?

gpaumier updated the task description. (Show Details)Mar 12 2015, 5:53 PM
gpaumier updated the task description. (Show Details)

Does any communication need to happen to those wikis where it will be enabled initially?

We definitely need to inform them that this is coming, and advise where to translate/verify the (few) localisation messages this extension has, to avoid regressions compared to the existing gadgets. Tech News mention will likely suffice, but it might be worth a separate newsletter.

Since we'll also need to go around to those wikis to disable the gadget when this is deployed this should be it's own window (not riding the train and not in SWAT).

@matmarex do you have a handy dandy script to help with the disabling part? Let's plan on the week of March 23rd probably to make sure we get all the pieces lined up, sound good?

Not yet, but I could probably write one, and run it too (I have global editinterface permissions). I'll need some brief information page to exist that I could link to from edit summaries. https://www.mediawiki.org/wiki/Extension:SandboxLink is probably not good enough in its current form, and this task probably neither.

Change 196084 merged by jenkins-bot:
make-wmf-branch: Branch SandboxLink

https://gerrit.wikimedia.org/r/196084

Restricted Application added a project: Notice. · View Herald TranscriptMar 31 2015, 7:57 AM
gpaumier moved this task from Backlog to Triaged on the Notice board.Apr 2 2015, 7:01 PM
Eloquence added a subscriber: Eloquence.

@Legoktm are you owning this one? If so is it going out next week? Thanks.

Krenair added a subscriber: Krenair.Apr 3 2015, 2:00 AM
greg added a comment.Apr 3 2015, 3:11 PM

@Legoktm are you owning this one? If so is it going out next week? Thanks.

And what day would you want to do it? :)

! In T72499#1120041, @matmarex wrote:
[...]
I'll need some brief information page to exist that I could link to from edit summaries. https://www.mediawiki.org/wiki/Extension:SandboxLink is probably not good enough in its current form, and this task probably neither.

I've made a very basic start, for someone else to hack on, at https://www.mediawiki.org/wiki/Help:Extension:SandboxLink

Change 202449 had a related patch set uploaded (by Amire80):
Add Sandbox Link to Extensions used by Wikimedia

https://gerrit.wikimedia.org/r/202449

Change 202449 merged by jenkins-bot:
Add Sandbox Link to Extensions used by Wikimedia

https://gerrit.wikimedia.org/r/202449

@Legoktm are you owning this one? If so is it going out next week? Thanks.

Yes and yes. Scheduled for Thursday at 1700 UTC.

Updated mwgrep:

1​krenair@terbium:~$ mwgrep pt-sandbox
2​cawiki MediaWiki:Gadget-mySandbox.js
3​cawikibooks MediaWiki:Gadget-mySandbox.js
4​dsbwiki MediaWiki:Gadget-mySandbox.js
5​eowiki MediaWiki:Gadget-PropraProvejo.js
6​eowikibooks MediaWiki:Gadget-PropraProvejo.js
7​eowikiquote MediaWiki:Gadget-PropraProvejo.js
8​eswiki MediaWiki:Gadget-mySandbox.js
9​hsbwiki MediaWiki:Gadget-mySandbox.js
10​itwikisource MediaWiki:Gadget-barbaforcutanew.js
11​kkwiki MediaWiki:Gadget-mySandbox.js
12​minwiki MediaWiki:Gadget-mySandbox.js
13​mswiki MediaWiki:Gadget-mySandbox.js
14​nlwiki MediaWiki:Gadget-mijnKladblok.js
15​plwiki MediaWiki:Gadget-my-sandbox.js
16​plwikisource MediaWiki:Gadget-my-sandbox.js
17​plwikivoyage MediaWiki:Gadget-my-sandbox.js
18​plwiktionary MediaWiki:Gadget-my-sandbox.js
19​ptwiki MediaWiki:Gadget-mySandbox.js
20​simplewiktionary MediaWiki:Gadget-mySandbox.js
21​(total: 19, shown: 19)
22​krenair@terbium:~$ mwgrep pt-mysandbox
23​arwiki MediaWiki:Gadget-mySandbox.js
24​aswiki MediaWiki:Gadget-mySandbox.js
25​bhwiki MediaWiki:Gadget-mySandbox.js
26​bnwiki MediaWiki:Gadget-mySandbox.js
27​bnwikibooks MediaWiki:Gadget-mySandbox.js
28​bnwiktionary MediaWiki:Gadget-mySandbox.js
29​brwikimedia MediaWiki:Gadget-mySandbox.js
30​bswiki MediaWiki:Gadget-mojeIgralište.js
31​ckbwiki MediaWiki:Gadget-mySandbox.js
32​dawiki MediaWiki:Gadget-mySandbox.js
33​dvwiktionary MediaWiki:Gadget-mySandbox.js
34​elwiki MediaWiki:Gadget-mySandbox.js
35​elwikivoyage MediaWiki:Gadget-mySandbox.js
36​enwiki MediaWiki:Gadget-mySandbox.js
37​enwikibooks MediaWiki:Gadget-mySandbox.js
38​enwikiversity MediaWiki:Gadget-mySandbox.js
39​fawiki MediaWiki:Gadget-mySandbox.js
40​fawiki MediaWiki:Intro-advanced-article.js
41​fawikiquote MediaWiki:Gadget-mySandbox.js
42​fawikivoyage MediaWiki:Gadget-mySandbox.js
43​fawikivoyage MediaWiki:Intro-advanced-article.js
44​fawiktionary MediaWiki:Gadget-mySandbox.js
45​hewiki MediaWiki:Gadget-mySandbox.js
46​hewikibooks MediaWiki:Gadget-mySandbox.js
47​hewikinews MediaWiki:Gadget-mySandbox.js
48​hewikivoyage MediaWiki:Gadget-mySandbox.js
49​hifwiki MediaWiki:Gadget-mySandbox.js
50​hiwiki MediaWiki:Gadget-mySandbox.js
51​huwiki MediaWiki:Gadget-mySandbox.js
52​hywiki MediaWiki:Gadget-mySandbox.js
53​ilowiki MediaWiki:Gadget-mySandbox.js
54​iswiki MediaWiki:Gadget-mySandbox.js
55​jawiki MediaWiki:Gadget-mySandbox.js
56​knwiki MediaWiki:Gadget-mySandbox.js
57​kowiki MediaWiki:Gadget-mySandbox.js
58​lvwiki MediaWiki:Gadget-mySandbox.js
59​maiwiki MediaWiki:Gadget-mySandbox.js
60​mkwiki MediaWiki:Gadget-mySandbox.js
61​mlwiki MediaWiki:Gadget-mySandbox.js
62​newiki MediaWiki:Gadget-mySandbox.js
63​pawiki MediaWiki:Gadget-mySandbox.js
64​pswiki MediaWiki:Gadget-mySandbox.js
65​sawiki MediaWiki:Gadget-mySandbox.js
66​skwiki MediaWiki:Gadget-mySandbox.js
67​slwiki MediaWiki:Gadget-mySandbox.js
68​sowiki MediaWiki:Gadget-mySandbox.js
69​svwiki MediaWiki:Gadget-mySandbox.js
70​tawiki MediaWiki:Gadget-mySandbox.js
71​tawiktionary MediaWiki:Gadget-mySandbox.js
72​test2wiki MediaWiki:Gadget-mySandbox.js
73​testwiki MediaWiki:Gadget-Bengali MySandbox.js
74​tewiki MediaWiki:Common.css
75​tewiki MediaWiki:Gadget-mySandbox.js
76​tewikiquote MediaWiki:Gadget-mySandbox.js
77​thwiki MediaWiki:Gadget-mySandbox.js
78​thwikibooks MediaWiki:Gadget-mySandbox.js
79​thwikiquote MediaWiki:Gadget-mySandbox.js
80​thwikisource MediaWiki:Gadget-mySandbox.js
81​thwiktionary MediaWiki:Gadget-mySandbox.js
82​tlwiki MediaWiki:Gadget-mySandbox.js
83​ukwiki MediaWiki:Gadget-mySandbox.js
84​urwiki MediaWiki:Gadget-mySandbox.js
85​urwiki MediaWiki:Intro-advanced-article.js
86​viwiki MediaWiki:Gadget-mySandbox.js
87​wikidatawiki MediaWiki:Gadget-mySandbox.js
88​zhwiki MediaWiki:Gadget-mySandbox.js
89​(total: 66, shown: 66)

Updated usage data: (77 wikis total, 61 enabled by default – used to be 62 wikis total, 50 enabled by default)

1​arwiki (DEFAULT)
2​https://ar.wikipedia.org/wiki/MediaWiki:Gadget-mySandbox.js
3
4​bhwiki (DEFAULT)
5​https://bh.wikipedia.org/wiki/MediaWiki:Gadget-mySandbox.js
6
7​bnwiki (DEFAULT)
8​https://bn.wikipedia.org/wiki/MediaWiki:Gadget-mySandbox.js
9
10​bnwikibooks (DEFAULT)
11​https://bn.wikibooks.org/wiki/MediaWiki:Gadget-mySandbox.js
12
13​bnwiktionary (DEFAULT)
14​https://bn.wiktionary.org/wiki/MediaWiki:Gadget-mySandbox.js
15
16​brwikimedia (DEFAULT)
17​https://br.wikimedia.org/wiki/MediaWiki:Gadget-mySandbox.js
18
19​bswiki
20​https://bs.wikipedia.org/wiki/MediaWiki:Gadget-mojeIgralište.js
21
22​cawiki (DEFAULT)
23​https://ca.wikipedia.org/wiki/MediaWiki:Gadget-mySandbox.js
24
25​cawikibooks (DEFAULT)
26​https://ca.wikibooks.org/wiki/MediaWiki:Gadget-mySandbox.js
27
28​ckbwiki (DEFAULT)
29​https://ckb.wikipedia.org/wiki/MediaWiki:Gadget-mySandbox.js
30
31​dawiki (DEFAULT)
32​https://da.wikipedia.org/wiki/MediaWiki:Gadget-mySandbox.js
33
34​dsbwiki
35​https://dsb.wikipedia.org/wiki/MediaWiki:Gadget-mySandbox.js
36
37​elwiki (DEFAULT)
38​https://el.wikipedia.org/wiki/MediaWiki:Gadget-mySandbox.js
39
40​elwikivoyage (DEFAULT)
41​https://el.wikivoyage.org/wiki/MediaWiki:Gadget-mySandbox.js
42
43​enwiki (DEFAULT)
44​https://en.wikipedia.org/wiki/MediaWiki:Gadget-mySandbox.js
45
46​enwikibooks (DEFAULT)
47​https://en.wikibooks.org/wiki/MediaWiki:Gadget-mySandbox.js
48
49​enwikiversity (DEFAULT)
50​https://en.wikiversity.org/wiki/MediaWiki:Gadget-mySandbox.js
51
52​eowiki (DEFAULT)
53​https://eo.wikipedia.org/wiki/MediaWiki:Gadget-PropraProvejo.js
54
55​eowikibooks
56​https://eo.wikibooks.org/wiki/MediaWiki:Gadget-PropraProvejo.js
57
58​eowikiquote
59​https://eo.wikiquote.org/wiki/MediaWiki:Gadget-PropraProvejo.js
60
61​eswiki (DEFAULT)
62​https://es.wikipedia.org/wiki/MediaWiki:Gadget-mySandbox.js
63
64​fawiki (DEFAULT)
65​https://fa.wikipedia.org/wiki/MediaWiki:Gadget-mySandbox.js
66
67​fawikiquote
68​https://fa.wikiquote.org/wiki/MediaWiki:Gadget-mySandbox.js
69
70​fawikivoyage
71​https://fa.wikivoyage.org/wiki/MediaWiki:Gadget-mySandbox.js
72
73​fawiktionary
74​https://fa.wiktionary.org/wiki/MediaWiki:Gadget-mySandbox.js
75
76​hewiki (DEFAULT)
77​https://he.wikipedia.org/wiki/MediaWiki:Gadget-mySandbox.js
78
79​hewikibooks (DEFAULT)
80​https://he.wikibooks.org/wiki/MediaWiki:Gadget-mySandbox.js
81
82​hewikinews (DEFAULT)
83​https://he.wikinews.org/wiki/MediaWiki:Gadget-mySandbox.js
84
85​hewikivoyage (DEFAULT)
86​https://he.wikivoyage.org/wiki/MediaWiki:Gadget-mySandbox.js
87
88​hifwiki (DEFAULT)
89​https://hif.wikipedia.org/wiki/MediaWiki:Gadget-mySandbox.js
90
91​hiwiki (DEFAULT)
92​https://hi.wikipedia.org/wiki/MediaWiki:Gadget-mySandbox.js
93
94​hsbwiki
95​https://hsb.wikipedia.org/wiki/MediaWiki:Gadget-mySandbox.js
96
97​huwiki (DEFAULT)
98​https://hu.wikipedia.org/wiki/MediaWiki:Gadget-mySandbox.js
99
100​hywiki (DEFAULT)
101​https://hy.wikipedia.org/wiki/MediaWiki:Gadget-mySandbox.js
102
103​ilowiki (DEFAULT)
104​https://ilo.wikipedia.org/wiki/MediaWiki:Gadget-mySandbox.js
105
106​iswiki (DEFAULT)
107​https://is.wikipedia.org/wiki/MediaWiki:Gadget-mySandbox.js
108
109​itwikisource
110​https://it.wikisource.org/wiki/MediaWiki:Gadget-barbaforcutanew.js
111
112​jawiki (DEFAULT)
113​https://ja.wikipedia.org/wiki/MediaWiki:Gadget-mySandbox.js
114
115​kkwiki (DEFAULT)
116​https://kk.wikipedia.org/wiki/MediaWiki:Gadget-mySandbox.js
117
118​knwiki (DEFAULT)
119​https://kn.wikipedia.org/wiki/MediaWiki:Gadget-mySandbox.js
120
121​kowiki (DEFAULT)
122​https://ko.wikipedia.org/wiki/MediaWiki:Gadget-mySandbox.js
123
124​lvwiki (DEFAULT)
125​https://lv.wikipedia.org/wiki/MediaWiki:Gadget-mySandbox.js
126
127​maiwiki (DEFAULT)
128​https://mai.wikipedia.org/wiki/MediaWiki:Gadget-mySandbox.js
129
130​minwiki (DEFAULT)
131​https://min.wikipedia.org/wiki/MediaWiki:Gadget-mySandbox.js
132
133​mlwiki
134​https://ml.wikipedia.org/wiki/MediaWiki:Gadget-mySandbox.js
135
136​mswiki
137​https://ms.wikipedia.org/wiki/MediaWiki:Gadget-mySandbox.js
138
139​newiki (DEFAULT)
140​https://ne.wikipedia.org/wiki/MediaWiki:Gadget-mySandbox.js
141
142​nlwiki (DEFAULT)
143​https://nl.wikipedia.org/wiki/MediaWiki:Gadget-mijnKladblok.js
144
145​pawiki
146​https://pa.wikipedia.org/wiki/MediaWiki:Gadget-mySandbox.js
147
148​plwiki (DEFAULT)
149​https://pl.wikipedia.org/wiki/MediaWiki:Gadget-my-sandbox.js
150
151​plwikisource (DEFAULT)
152​https://pl.wikisource.org/wiki/MediaWiki:Gadget-my-sandbox.js
153
154​plwikivoyage (DEFAULT)
155​https://pl.wikivoyage.org/wiki/MediaWiki:Gadget-my-sandbox.js
156
157​plwiktionary (DEFAULT)
158​https://pl.wiktionary.org/wiki/MediaWiki:Gadget-my-sandbox.js
159
160​pswiki (DEFAULT)
161​https://ps.wikipedia.org/wiki/MediaWiki:Gadget-mySandbox.js
162
163​ptwiki (DEFAULT)
164​https://pt.wikipedia.org/wiki/MediaWiki:Gadget-mySandbox.js
165
166​sawiki (DEFAULT)
167​https://sa.wikipedia.org/wiki/MediaWiki:Gadget-mySandbox.js
168
169​simplewiktionary (DEFAULT)
170​https://simple.wiktionary.org/wiki/MediaWiki:Gadget-mySandbox.js
171
172​skwiki (DEFAULT)
173​https://sk.wikipedia.org/wiki/MediaWiki:Gadget-mySandbox.js
174
175​slwiki
176​https://sl.wikipedia.org/wiki/MediaWiki:Gadget-mySandbox.js
177
178​sowiki (DEFAULT)
179​https://so.wikipedia.org/wiki/MediaWiki:Gadget-mySandbox.js
180
181​svwiki (DEFAULT)
182​https://sv.wikipedia.org/wiki/MediaWiki:Gadget-mySandbox.js
183
184​tawiki (DEFAULT)
185​https://ta.wikipedia.org/wiki/MediaWiki:Gadget-mySandbox.js
186
187​tawiktionary (DEFAULT)
188​https://ta.wiktionary.org/wiki/MediaWiki:Gadget-mySandbox.js
189
190​test2wiki
191​https://test2.wikipedia.org/wiki/MediaWiki:Gadget-mySandbox.js
192
193​tewiki (DEFAULT)
194​https://te.wikipedia.org/wiki/MediaWiki:Gadget-mySandbox.js
195
196​tewikiquote (DEFAULT)
197​https://te.wikiquote.org/wiki/MediaWiki:Gadget-mySandbox.js
198
199​thwiki (DEFAULT)
200​https://th.wikipedia.org/wiki/MediaWiki:Gadget-mySandbox.js
201
202​thwikibooks (DEFAULT)
203​https://th.wikibooks.org/wiki/MediaWiki:Gadget-mySandbox.js
204
205​thwikiquote (DEFAULT)
206​https://th.wikiquote.org/wiki/MediaWiki:Gadget-mySandbox.js
207
208​thwikisource (DEFAULT)
209​https://th.wikisource.org/wiki/MediaWiki:Gadget-mySandbox.js
210
211​thwiktionary (DEFAULT)
212​https://th.wiktionary.org/wiki/MediaWiki:Gadget-mySandbox.js
213
214​tlwiki (DEFAULT)
215​https://tl.wikipedia.org/wiki/MediaWiki:Gadget-mySandbox.js
216
217​ukwiki (DEFAULT)
218​https://uk.wikipedia.org/wiki/MediaWiki:Gadget-mySandbox.js
219
220​urwiki (DEFAULT)
221​https://ur.wikipedia.org/wiki/MediaWiki:Gadget-mySandbox.js
222
223​viwiki
224​https://vi.wikipedia.org/wiki/MediaWiki:Gadget-mySandbox.js
225
226​wikidatawiki
227​https://www.wikidata.org/wiki/MediaWiki:Gadget-mySandbox.js
228
229​zhwiki (DEFAULT)
230​https://zh.wikipedia.org/wiki/MediaWiki:Gadget-mySandbox.js
231

matmarex updated the task description. (Show Details)Apr 9 2015, 3:15 PM
matmarex removed a project: Patch-For-Review.

(And here's the script I used to generate the above from mwgrep data:

)

matmarex updated the task description. (Show Details)Apr 9 2015, 3:22 PM
matmarex removed subscribers: gerritbot, Unknown Object (MLST).

Change 203105 had a related patch set uploaded (by Legoktm):
Add SandboxLink to extension-list, deploy on testwiki

https://gerrit.wikimedia.org/r/203105

Change 203109 had a related patch set uploaded (by Legoktm):
Enable SandboxLink on English projects where it is default

https://gerrit.wikimedia.org/r/203109

Change 203158 had a related patch set uploaded (by Bartosz Dziewoński):
Localisation updates from https://translatewiki.net.

https://gerrit.wikimedia.org/r/203158

Change 203158 merged by Bartosz Dziewoński:
Localisation updates from https://translatewiki.net.

https://gerrit.wikimedia.org/r/203158

Change 203105 merged by Legoktm:
Add SandboxLink to extension-list, deploy on testwiki

https://gerrit.wikimedia.org/r/203105

gpaumier moved this task from Triaged to Archive on the Notice board.Apr 9 2015, 5:45 PM

Change 203109 merged by jenkins-bot:
Enable SandboxLink on all projects where it is a default gadget

https://gerrit.wikimedia.org/r/203109

Disabled/removed the gadgets on wikis where SandboxLink was deployed. P503

matmarex updated the task description. (Show Details)Apr 9 2015, 6:40 PM
matmarex closed this task as Resolved.
matmarex removed a project: Patch-For-Review.
gpaumier added a subscriber: gpaumier.

Not sure this needs to be advertised widely as it seems users shouldn't really notice a change.

It might be of interest for the power users with access to MediaWiki namespace to make fixes like these:
https://pt.wikipedia.org/w/index.php?diff=41861776
https://pt.wikipedia.org/w/index.php?diff=41861785

This is far from being resolved.
If many users are going to need a piece of CSS to hide the link back, sooner or later someone will come up with a 'HideSandboxLink' gadget, and we'll be back to square one.

This is far from being resolved.

It's resolved in the sense that the extension is deployed to the wikis where it used to be a default. If there are issues with the extension, they should be filed as separate bug reports please.

If many users are going to need a piece of CSS to hide the link back, sooner or later someone will come up with a 'HideSandboxLink' gadget, and we'll be back to square one.

No, square one was that the default use case was being served by a gadget, whereas now the default is provided by a proper extension and the non-standard case is served by a gadget.

If many users are going to need a piece of CSS to hide the link back, sooner or later someone will come up with a 'HideSandboxLink' gadget, and we'll be back to square one.

filed T95669: Add a preference option to disable personal url to sandbox

DoRD added a subscriber: DoRD.Apr 10 2015, 11:25 AM